%global momorel 16

Name: sgml-common
Version: 0.6.3
Release: %{momorel}m
Group: Applications/Text
Summary: Common SGML catalog and DTD files.
License: GPL
URL: http://www.iso.ch/cate/3524030.html
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%{name}-%{version}.tgz
Source1: sgml-common-CHANGES
Source2: sgml-common-automake.tar.gz
Patch0: sgml-common-umask.patch
Patch1: sgml-common-xmldir.patch
Patch2: sgml-common-quotes.patch
Requires: sh-utils fileutils textutils grep
BuildRequires: libxml2
Nosource: 0

%description
The sgml-common package contains a collection of entities and DTDs
that are useful for processing SGML, but that don't need to be
included in multiple packages.  Sgml-common also includes an
up-to-date Open Catalog file.

%package -n xml-common
Group: Applications/Text
Summary: Common XML catalog and DTD files.
License: GPL
URL: http://www.iso.ch/cate/3524030.html
Requires: sh-utils fileutils textutils grep
PreReq: libxml2 >= 2.4.9

%description -n xml-common
The xml-common package contains a collection of entities and DTDs
that are useful for processing XML, but that don't need to be
included in multiple packages.

%prep
%setup -q
%patch0 -p1 -b .umask
%patch1 -p1 -b .xmldir
%patch2 -p1 -b .quotes
rm install-sh missing mkinstalldirs
tar zxf %{SOURCE2}

%build
%configure --with-docdir=%{_docdir}

%install
rm -rf %{buildroot}
%makeinstall docdir=%{buildroot}%{_docdir}
cp %{SOURCE1} CHANGES
mkdir %{buildroot}/etc/xml
mkdir -p %{buildroot}/usr/share/xml
mv %{buildroot}/usr/share/sgml/xml-iso-entities-8879.1986 %{buildroot}/usr/share/xml/
#setup /usr/share/xml/xml-iso-entities-8879.1986 catalog
#this is sgml catalog
pushd %{buildroot}/usr/share/xml/xml-iso-entities-8879.1986
mv catalog sgmlcatalog
popd

#and make xml catalog
CATALOG=%{buildroot}/usr/share/xml/xml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --noout --create $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN//XML" \
        "ISOamsa.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Added Math Symbols: Binary Operators//EN//XML" \
        "ISOamsb.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Added Math Symbols: Delimiters//EN//XML" \
        "ISOamsc.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Added Math Symbols: Negated Relations//EN//XML" \
        "ISOamsn.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Added Math Symbols: Ordinary//EN//XML" \
        "ISOamso.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Added Math Symbols: Relations//EN//XML" \
        "ISOamsr.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Box and Line Drawing//EN//XML" \
        "ISObox.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Russian Cyrillic//EN//XML" \
        "ISOcyr1.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Non-Russian Cyrillic//EN//XML" \
        "ISOcyr2.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Diacritical Marks//EN//XML" \
        "ISOdia.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Greek Letters//EN//XML" \
        "ISOgrk1.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Monotoniko Greek//EN//XML" \
        "ISOgrk2.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Greek Symbols//EN//XML" \
        "ISOgrk3.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Alternative Greek Symbols//EN//XML" \
        "ISOgrk4.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Added Latin 1//EN//XML" \
        "ISOlat1.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Added Latin 2//EN//XML" \
        "ISOlat2.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN//XML" \
        "ISOnum.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES Publishing//EN//XML" \
        "ISOpub.ent" $CATALOG
/usr/bin/xmlcatalog --noout --add "public" \
        "ISO 8879:1986//ENTITIES General Technical//EN//XML" \
        "ISOtech.ent" $CATALOG
# Create an XML super catalog.
CATALOG=%{buildroot}/etc/xml/catalog
/usr/bin/xmlcatalog --noout --create $CATALOG

rm -rf %{buildroot}%{_docdir}/%{name}-%{version}/html

%clean
rm -rf %{buildroot}

%post -n xml-common
CATALOG=/etc/xml/catalog
CREATE='--create'
if [ -f $CATALOG ]; then
	CREATE=''
fi
/usr/bin/xmlcatalog $CREATE --noout --add "delegatePublic" \
        "ISO 8879:1986" \
        "file:///usr/share/xml/xml-iso-entities-8879.1986/catalog" $CATALOG

%preun -n xml-common
CATALOG=/etc/xml/catalog
/usr/bin/xmlcatalog --noout --del \
        "file:///usr/share/xml/xml-iso-entities-8879.1986/catalog" $CATALOG

%files
%defattr (-,root,root)
%doc CHANGES doc/HTML/*.html
%dir /etc/sgml
%config(noreplace) /etc/sgml/sgml.conf
%dir /usr/share/sgml
/usr/share/sgml/sgml-iso-entities-8879.1986
/usr/share/sgml/xml.dcl
/usr/bin/sgmlwhich
/usr/bin/install-catalog
%{_mandir}/*/*

%files -n xml-common
%defattr (-,root,root)
%dir /etc/xml
%ghost /etc/xml/catalog
%dir /usr/share/xml
/usr/share/xml/xml-iso-entities-8879.1986

%changelog
* Fri Aug  6 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6.3-16m)
- modify spec

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.3-15m)
- revised spec for rpm 4.2.

* Sat Mar 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.6.3-14k)
- fix %post: create /etc/xml/catalog if not exist
- fix %preun: add catalog filename

* Thu Jan 31 2002 Shingo Akagaki <dora@kondara.org>
- (0.6.3-12k)
- remove docbook, xhtml catalog

* Tue Jan 15 2002 Shingo Akagaki <dora@kondara.org>
- (0.6.3-10K)
- add xhtml support

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.6.3-8k)
- nigittenu

* Fri Oct  5 2001 Tim Waugh <twaugh@redhat.com> 0.6.3-2
- Move XML things into /usr/share/xml, and split them out into separate
  xml-common package.

* Mon Oct  1 2001 Tim Waugh <twaugh@redhat.com> 0.6.3-1
- 0.6.3.  Incorporates oldsyntax and quiet patches.
- Make /etc/sgml/sgml.conf noreplace.
- Own /etc/sgml, various other directories (bug #47485, bug #54180).

* Wed May 23 2001 Tim Waugh <twaugh@redhat.com> 0.5-7
- Remove execute bit from data files.

* Mon May 21 2001 Tim Waugh <twaugh@redhat.com> 0.5-6
- install-catalog needs to make sure that it creates world-readable files
  (bug #41552).

* Wed Jan 24 2001 Tim Waugh <twaugh@redhat.com>
- Make install-catalog quieter during normal operation.

* Tue Jan 23 2001 Tim Waugh <twaugh@redhat.com>
- Require textutils, fileutils, grep (bug #24719).

* Wed Jan 17 2001 Tim Waugh <twaugh@redhat.com>
- Require sh-utils.

* Mon Jan 15 2001 Tim Waugh <twaugh@redhat.com>
- Don't play so many macro games.
- Fix typo in install-catalog patch.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Change group.
- Install by hand (man/en/...).  Use %%{_mandir}.
- Use %%{_tmppath}.
- Make install-catalog fail silently if given the old syntax.
- Add CHANGES file.
- Change Copyright: to License:.
- Remove Packager: line.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Based on Eric Bischoff's new-trials packages.
